package top.ninwoo.edgecenter.service;

import top.ninwoo.edgecenter.entity.ClusterConfig;

import java.util.List;
import java.util.Set;

public interface ClusterService {
    // 获取容器列表
    List<String> getContainerIds();
    // 创建容器组
    long initContainers(ClusterConfig clusterConfig);
    // 获取集群列表
    Set<Long> getClusterIds();
    // 通过集群Id获取集群中包含的容器IDs
    Set<String> getContainerIdsByClusterId(long clusterId, String containerName);

    void removeContainersByClusterId(long clusterId);
    void removeContainersByClusterIdAndContainerName(long clusterId, String name);
}
