package top.ninwoo.utils.service.impl;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import top.ninwoo.utils.service.LinuxCtlService;
import top.ninwoo.utils.service.OvsDockerService;

@Service
public class OvsDockerServiceImpl implements OvsDockerService {
    @Autowired
    LinuxCtlService linuxCtlService;

    @Override
    public String addPort(String bridgeName, String devName,String containerId, String ip) {
        String cmd = "ovs-docker add-port " + bridgeName + " " + devName + " " + containerId + " --ipaddress=" + ip;
        String res = linuxCtlService.runCmd(cmd);
        if(res.contains("Error")) {
            throw new RuntimeException(res);
        }
        return res;
    }
}
